#
# spec file for package gltt
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           gltt
BuildRequires:  freeglut-devel
BuildRequires:  freetype-devel
BuildRequires:  gcc-c++
BuildRequires:  libdrm-devel
BuildRequires:  libtool
BuildRequires:  xorg-x11
Version:        2.5.2
Release:        732.1
Summary:        Library for TrueType with OpenGL Applications
License:        LGPL-2.1+
Group:          Development/Libraries/X11
Url:            http://gltt.sourceforge.net
Source:         gltt-%{version}.tar.bz2
Patch:          gltt-%{version}-autoconf.patch
Patch2:         gltt-%{version}-ia64.patch
Patch3:         gltt-%{version}-gcc3.dif
Patch4:         gltt-%{version}-automake.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gltt is a library that allows you to read and draw TrueType fonts in
any OpenGL application.

It supports bitmapped and antialiased font drawing as well as
vectorized and polygonized drawing.

%package devel
Summary:        Library for TrueType with OpenGL Applications
License:        GPL-2.0+
Group:          Development/Libraries/X11
Provides:       gltt:%{_includedir}/gltt/FTFace.h
Requires:       %{name} = %{version} xorg-x11-devel freetype-devel

%description devel
gltt is a library that allows you to read and draw TrueType fonts in
any OpenGL application.

It supports bitmapped and antialiased font drawing as well as
vectorized and polygonized drawing.

%prep
%setup
%patch
%patch2
%patch3
%patch4
rm aclocal.m4 

%build
autoreconf --force --install
%configure\
	--with-ttf-libraries=%{_libdir}\
	--with-ttf-includes=%{_includedir}\
	--with-gl-libraries=%{_libdir}
make %{?_smp_mflags}

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS README TODO
%{_libdir}/libgltt.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gltt
%{_libdir}/libgltt.*a
%{_libdir}/libgltt.so

%changelog
* Sun Feb  5 2012 jengelh@medozas.de
- Utilize newly-appeared freetype-devel subpackage
* Sun Feb  5 2012 jengelh@medozas.de
- Remove redundant tags/sections
- Parallel build with %%_smp_mflags
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Mon Aug  6 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu May 24 2007 ro@suse.de
- branch off devel package
* Wed Aug 16 2006 ro@suse.de
- specify ttf include dir for configure
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 23 2005 nadvornik@suse.cz
- gcc4 fix: added forward declarations
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue May 21 2002 ro@suse.de
- update to 2.5.2
- use libdir
- demos are not part of the source any more
* Thu Nov  8 2001 ro@suse.de
- use mesa-devel-packages in neededforbuild
* Wed Aug 22 2001 uli@suse.de
- fixed for gcc 3
* Wed Jun 27 2001 nadvornik@suse.cz
- fixed to compile on ia64
* Wed Jun 13 2001 nadvornik@suse.cz
- fixed to compile with new autoconf
* Thu Mar 15 2001 ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar  7 2001 ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Nov  9 2000 nadvornik@suse.cz
- added url
* Thu Jun  1 2000 nadvornik@suse.cz
- added demos
* Mon May 22 2000 nadvornik@suse.cz
- added mesadev to neededforbuild
* Thu Apr 27 2000 nadvornik@suse.cz
- changed Group tag
* Sat Apr  8 2000 bk@suse.de
- added suse update config macro
* Wed Apr  5 2000 nadvornik@suse.cz
- added BuildRoot
* Wed Jan 19 2000 ro@suse.de
- update to 2.5
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 ro@suse.de
- update to 2.4
* Mon Jun 14 1999 ro@suse.de
- added mesasoft to neededforbuild
* Tue Jul  7 1998 ro@suse.de
- update to 2.2
* Wed May  6 1998 ro@suse.de
- created initial package version 2.0
